using EscapeRoomEngine.Engine.Runtime.Modules;
using EscapeRoomEngine.Engine.Runtime.Modules.State;
using UnityEngine;

namespace Station46.Modules.Laser.Scripts
{
    [RequireComponent(typeof(Laser))]
    public class LaserEmitter : ModuleState
    {
        protected Laser laser;

        protected virtual void Awake()
        {
            laser = GetComponent<Laser>();
        }

        public override void SetModule(Module module) {}
    }
}
